commit:     7a3c7bf400dddaf1e6fa9220470f77509b9e8dd0
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Fri Aug  5 11:56:50 2016 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Fri Aug  5 12:13:53 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7a3c7bf4

dev-ruby/hashie: add ruby23 revision

Package-Manager: portage-2.2.28

 dev-ruby/hashie/hashie-3.4.4-r1.ebuild | 37 ++++++++++++++++++++++++++++++++++
 1 file changed, 37 insertions(+)

diff --git a/dev-ruby/hashie/hashie-3.4.4-r1.ebuild 
b/dev-ruby/hashie/hashie-3.4.4-r1.ebuild
new file mode 100644
index 0000000..f220082
--- /dev/null
+++ b/dev-ruby/hashie/hashie-3.4.4-r1.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+USE_RUBY="ruby20 ruby21 ruby22 ruby23"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+RUBY_FAKEGEM_TASK_DOC=""
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Hashie is a small collection of tools that make hashes more 
powerful"
+HOMEPAGE="http://intridea.com/posts/hashie-the-hash-toolkit";
+
+LICENSE="MIT"
+SLOT="3"
+KEYWORDS="~amd64 ~arm ~ppc64 ~x86-linux ~ppc-macos ~x64-macos ~x86-macos 
~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE=""
+
+ruby_add_bdepend "test? ( dev-ruby/activesupport )"
+
+all_ruby_prepare() {
+       # Remove bundler and fix one spec that depends on its requires
+       #rm Gemfile || die
+       sed -i -e '/[Bb]undler/d' Rakefile || die
+       sed -e '/pry/ s:^:#:' -i spec/spec_helper.rb || die
+
+       # Avoid dependency on rspec-pending_for and its dependencies
+       sed -i -e '/pending_for/ s:^:#:' \
+               spec/spec_helper.rb \
+               spec/hashie/mash_spec.rb \
+               spec/hashie/extensions/strict_key_access_spec.rb || die
+}

Reply via email to